import{s as j,n as k,o as L}from"../chunks/scheduler.16523b0d.js";import{S as M,i as A,g as q,s as p,r as D,A as H,h as _,f as t,c,j as y,u as $,x as R,k as z,y as w,a as s,v as N,d as C,t as E,w as F}from"../chunks/index.841805ba.js";import{D as W}from"../chunks/Docstring.736d6cc6.js";import{H as U,E as G}from"../chunks/EditOnGithub.e13b29e8.js";function I(O){let r,d,u,h,o,f,n,i,b,l,T="Seq2SeqParams is a configuration class for sequence-to-sequence training parameters.",x,m,S,g,v;return o=new U({props:{title:"Seq2Seq Parameters",local:"autotrain.trainers.seq2seq.params.Seq2SeqParams",headingTag:"h1"}}),i=new W({props:{name:"class autotrain.trainers.seq2seq.params.Seq2SeqParams",anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams",parameters:[{name:"data_path",val:": str = None"},{name:"model",val:": str = 'google/flan-t5-base'"},{name:"username",val:": Optional = None"},{name:"seed",val:": int = 42"},{name:"train_split",val:": str = 'train'"},{name:"valid_split",val:": Optional = None"},{name:"project_name",val:": str = 'project-name'"},{name:"token",val:": Optional = None"},{name:"push_to_hub",val:": bool = False"},{name:"text_column",val:": str = 'text'"},{name:"target_column",val:": str = 'target'"},{name:"lr",val:": float = 5e-05"},{name:"epochs",val:": int = 3"},{name:"max_seq_length",val:": int = 128"},{name:"max_target_length",val:": int = 128"},{name:"batch_size",val:": int = 2"},{name:"warmup_ratio",val:": float = 0.1"},{name:"gradient_accumulation",val:": int = 1"},{name:"optimizer",val:": str = 'adamw_torch'"},{name:"scheduler",val:": str = 'linear'"},{name:"weight_decay",val:": float = 0.0"},{name:"max_grad_norm",val:": float = 1.0"},{name:"logging_steps",val:": int = -1"},{name:"eval_strategy",val:": str = 'epoch'"},{name:"auto_find_batch_size",val:": bool = False"},{name:"mixed_precision",val:": Optional = None"},{name:"save_total_limit",val:": int = 1"},{name:"peft",val:": bool = False"},{name:"quantization",val:": Optional = 'int8'"},{name:"lora_r",val:": int = 16"},{name:"lora_alpha",val:": int = 32"},{name:"lora_dropout",val:": float = 0.05"},{name:"target_modules",val:": str = 'all-linear'"},{name:"log",val:": str = 'none'"},{name:"early_stopping_patience",val:": int = 5"},{name:"early_stopping_threshold",val:": float = 0.01"}],parametersDescription:[{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.data_path",description:"<strong>data_path</strong> (str) &#x2014; Path to the dataset.",name:"data_path"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.model",description:"<strong>model</strong> (str) &#x2014; Name of the model to be used. Default is &#x201C;google/flan-t5-base&#x201D;.",name:"model"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.username",description:"<strong>username</strong> (Optional[str]) &#x2014; Hugging Face Username.",name:"username"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.seed",description:"<strong>seed</strong> (int) &#x2014; Random seed for reproducibility. Default is 42.",name:"seed"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.train_split",description:"<strong>train_split</strong> (str) &#x2014; Name of the training data split. Default is &#x201C;train&#x201D;.",name:"train_split"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.valid_split",description:"<strong>valid_split</strong> (Optional[str]) &#x2014; Name of the validation data split.",name:"valid_split"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.project_name",description:"<strong>project_name</strong> (str) &#x2014; Name of the project or output directory. Default is &#x201C;project-name&#x201D;.",name:"project_name"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.token",description:"<strong>token</strong> (Optional[str]) &#x2014; Hub Token for authentication.",name:"token"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.push_to_hub",description:"<strong>push_to_hub</strong> (bool) &#x2014; Whether to push the model to the Hugging Face Hub. Default is False.",name:"push_to_hub"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.text_column",description:"<strong>text_column</strong> (str) &#x2014; Name of the text column in the dataset. Default is &#x201C;text&#x201D;.",name:"text_column"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.target_column",description:"<strong>target_column</strong> (str) &#x2014; Name of the target text column in the dataset. Default is &#x201C;target&#x201D;.",name:"target_column"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.lr",description:"<strong>lr</strong> (float) &#x2014; Learning rate for training. Default is 5e-5.",name:"lr"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.epochs",description:"<strong>epochs</strong> (int) &#x2014; Number of training epochs. Default is 3.",name:"epochs"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.max_seq_length",description:"<strong>max_seq_length</strong> (int) &#x2014; Maximum sequence length for input text. Default is 128.",name:"max_seq_length"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.max_target_length",description:"<strong>max_target_length</strong> (int) &#x2014; Maximum sequence length for target text. Default is 128.",name:"max_target_length"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.batch_size",description:"<strong>batch_size</strong> (int) &#x2014; Training batch size. Default is 2.",name:"batch_size"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.warmup_ratio",description:"<strong>warmup_ratio</strong> (float) &#x2014; Proportion of warmup steps. Default is 0.1.",name:"warmup_ratio"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.gradient_accumulation",description:"<strong>gradient_accumulation</strong> (int) &#x2014; Number of gradient accumulation steps. Default is 1.",name:"gradient_accumulation"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.optimizer",description:"<strong>optimizer</strong> (str) &#x2014; Optimizer to be used. Default is &#x201C;adamw_torch&#x201D;.",name:"optimizer"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.scheduler",description:"<strong>scheduler</strong> (str) &#x2014; Learning rate scheduler to be used. Default is &#x201C;linear&#x201D;.",name:"scheduler"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.weight_decay",description:"<strong>weight_decay</strong> (float) &#x2014; Weight decay for the optimizer. Default is 0.0.",name:"weight_decay"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.max_grad_norm",description:"<strong>max_grad_norm</strong> (float) &#x2014; Maximum gradient norm for clipping. Default is 1.0.",name:"max_grad_norm"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.logging_steps",description:"<strong>logging_steps</strong> (int) &#x2014; Number of steps between logging. Default is -1 (disabled).",name:"logging_steps"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.eval_strategy",description:"<strong>eval_strategy</strong> (str) &#x2014; Evaluation strategy. Default is &#x201C;epoch&#x201D;.",name:"eval_strategy"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.auto_find_batch_size",description:"<strong>auto_find_batch_size</strong> (bool) &#x2014; Whether to automatically find the batch size. Default is False.",name:"auto_find_batch_size"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.mixed_precision",description:"<strong>mixed_precision</strong> (Optional[str]) &#x2014; Mixed precision training mode (fp16, bf16, or None).",name:"mixed_precision"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.save_total_limit",description:"<strong>save_total_limit</strong> (int) &#x2014; Maximum number of checkpoints to save. Default is 1.",name:"save_total_limit"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.peft",description:"<strong>peft</strong> (bool) &#x2014; Whether to use Parameter-Efficient Fine-Tuning (PEFT). Default is False.",name:"peft"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.quantization",description:"<strong>quantization</strong> (Optional[str]) &#x2014; Quantization mode (int4, int8, or None). Default is &#x201C;int8&#x201D;.",name:"quantization"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.lora_r",description:"<strong>lora_r</strong> (int) &#x2014; LoRA-R parameter for PEFT. Default is 16.",name:"lora_r"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.lora_alpha",description:"<strong>lora_alpha</strong> (int) &#x2014; LoRA-Alpha parameter for PEFT. Default is 32.",name:"lora_alpha"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.lora_dropout",description:"<strong>lora_dropout</strong> (float) &#x2014; LoRA-Dropout parameter for PEFT. Default is 0.05.",name:"lora_dropout"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.target_modules",description:"<strong>target_modules</strong> (str) &#x2014; Target modules for PEFT. Default is &#x201C;all-linear&#x201D;.",name:"target_modules"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.log",description:"<strong>log</strong> (str) &#x2014; Logging method for experiment tracking. Default is &#x201C;none&#x201D;.",name:"log"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.early_stopping_patience",description:"<strong>early_stopping_patience</strong> (int) &#x2014; Patience for early stopping. Default is 5.",name:"early_stopping_patience"},{anchor:"autotrain.trainers.seq2seq.params.Seq2SeqParams.early_stopping_threshold",description:"<strong>early_stopping_threshold</strong> (float) &#x2014; Threshold for early stopping. Default is 0.01.",name:"early_stopping_threshold"}],source:"https://github.com/huggingface/autotrain-advanced/blob/v0.8.21/src/autotrain/trainers/seq2seq/params.py#L8"}}),m=new G({props:{source:"https://github.com/huggingface/autotrain-advanced/blob/main/docs/source/params/seq2seq_params.mdx"}}),{c(){r=q("meta"),d=p(),u=q("p"),h=p(),D(o.$$.fragment),f=p(),n=q("div"),D(i.$$.fragment),b=p(),l=q("p"),l.textContent=T,x=p(),D(m.$$.fragment),S=p(),g=q("p"),this.h()},l(a){const e=H("svelte-u9bgzb",document.head);r=_(e,"META",{name:!0,content:!0}),e.forEach(t),d=c(a),u=_(a,"P",{}),y(u).forEach(t),h=c(a),$(o.$$.fragment,a),f=c(a),n=_(a,"DIV",{class:!0});var P=y(n);$(i.$$.fragment,P),b=c(P),l=_(P,"P",{"data-svelte-h":!0}),R(l)!=="svelte-l9dn8j"&&(l.textContent=T),P.forEach(t),x=c(a),$(m.$$.fragment,a),S=c(a),g=_(a,"P",{}),y(g).forEach(t),this.h()},h(){z(r,"name","hf:doc:metadata"),z(r,"content",Q),z(n,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(a,e){w(document.head,r),s(a,d,e),s(a,u,e),s(a,h,e),N(o,a,e),s(a,f,e),s(a,n,e),N(i,n,null),w(n,b),w(n,l),s(a,x,e),N(m,a,e),s(a,S,e),s(a,g,e),v=!0},p:k,i(a){v||(C(o.$$.fragment,a),C(i.$$.fragment,a),C(m.$$.fragment,a),v=!0)},o(a){E(o.$$.fragment,a),E(i.$$.fragment,a),E(m.$$.fragment,a),v=!1},d(a){a&&(t(d),t(u),t(h),t(f),t(n),t(x),t(S),t(g)),t(r),F(o,a),F(i),F(m,a)}}}const Q='{"title":"Seq2Seq Parameters","local":"autotrain.trainers.seq2seq.params.Seq2SeqParams","sections":[],"depth":1}';function V(O){return L(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Y extends M{constructor(r){super(),A(this,r,V,I,j,{})}}export{Y as component};
